'use strict';

const browshot = require('browshot');

var client = new browshot('my_api_key');

// last screenshots of google.com
client.screenshotSearch('google.com', { limit: 5, status: 'finished' }, function(list) {
	for(var i in list) {
		console.log(`#${list[i].id} ${list[i].url}`);
	}
});


// no match
client.screenshotSearch('foo.bar', { }, function(list) {
	console.log(`Screenshots for foo.bar: ${list.length || 0}`);
});